Package: groovy.yaml

## [Java] Class YamlSlurper

- groovy.yaml.YamlSlurper

-     public class YamlSlurper
      extends Object

  Represents a YAML parser

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `YamlSlurper()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `parse(Reader reader)` Parse the content of the specified reader into a tree of Nodes.
    `` | `public Object` | `parse(InputStream stream)` Parse the content of the specified reader into a tree of Nodes.
    `` | `public Object` | `parse(File file)` Parse the content of the specified file into a tree of Nodes.
    `` | `public Object` | `parse(Path path)` Parse the content of the specified path into a tree of Nodes.
    `` | `public Object` | `parseText(String yaml)` Parse the content of the specified yaml into a tree of Nodes.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public YamlSlurper()

  - ### Method Detail

    - #### public Object parse(Reader reader)

      Parse the content of the specified reader into a tree of Nodes.

      Parameters:
        `reader` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parse(InputStream stream)

      Parse the content of the specified reader into a tree of Nodes.

      Parameters:
        `stream` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parse(File file)

      Parse the content of the specified file into a tree of Nodes.

      Parameters:
        `file` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parse(Path path)

      Parse the content of the specified path into a tree of Nodes.

      Parameters:
        `path` - the reader of yaml
      Returns:
        the root node of the parsed tree of Nodes

    - #### public Object parseText(String yaml)

      Parse the content of the specified yaml into a tree of Nodes.

      Parameters:
        `yaml` - the content of yaml
      Returns:
        the root node of the parsed tree of Nodes